/* Ellipse_10.pde

Written by: Marvin C. Jones and Richard (Rick) G. Freedman

Variables can hold more than just integers, lists of integers, and other simple 
types of data.  You can also create your own things called classes.  Because we 
have a lot of code for animating a circle, let us rewrite Ellipse_8.pde so that 
all the programming for the circle is handled by the code in myClass.pde.  Then 
we can just create a variable for the circle in this program and make it much 
easier to read!  This is the same from Ellipse_9.pde, but myClass.pde is different.
*/

//We declare the variables we will use in the program at the beginning
//The variable named myCircle stores an object we create based on the class myClass
myClass myCircle;

void setup()
{
  //Set the window's size to 500 pixels wide and 300 pixels tall
  size(500, 300);
  //Perform draw() five times per second
  frameRate(5);

  //The equals sign (=) tells the program to store a value in a variable
  //  The code in myClass explains how to create this object
  //NOTE: We use the command 'new' in front of the right-hand side like an array
  //      (this is because arrays are also objects in Processing)
  myCircle = new myClass(100, 100, 50);
}

void draw()
{
  //This will erase everything currently drawn in the pop-up window
  clear();

  //Use the color purple when drawing shapes on the screen
  fill(125,0,125);
  //This command tells the object stored in the myCircle variable to perform its 
  //  drawMyself() function that we created for it (see myClass.pde)
  myCircle.drawMyself();
}
